package com.ssj.service.conch.common.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author Mount Liu
 * @date 2019/9/4
 */
public class PayVipBatchReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

	@ApiModelProperty(name = "vipIds", value = "学生vipId列表", required = true)
	private List<String> vipIds;
	@ApiModelProperty(name = "price", value = "卡价格", required = true)
	private BigDecimal price;
	@ApiModelProperty(name = "number", value = "数量（年卡、半年卡传1；月卡传选中月数）", required = true)
	private Integer number;
	@ApiModelProperty(name = "priceType", value = "卡类型（C004:作业吧月卡;C005:作业吧半年卡;C006:作业吧年卡;C022:作业吧天卡）", required = true)
	private String priceType;
	@ApiModelProperty(name = "leagueId", value = "图书馆id", required = true)
	private String leagueId;
	@ApiModelProperty(name = "appType", value = "程序端(6:家长端小程序;7:老师端小程序（校长端和老师端);11:app老师端;12:app家长端;13:H5;14:馆长端小程序)", required = true)
	private Integer appType;
	@ApiModelProperty(name = "payType", value = "支付方式（0：微信支付，1：支付宝支付）", required = false)
	private int payType;

	public List<String> getVipIds() {
		return vipIds;
	}

	public void setVipIds(List<String> vipIds) {
		this.vipIds = vipIds;
	}

	public BigDecimal getPrice() {
		return price;
	}

	public void setPrice(BigDecimal price) {
		this.price = price;
	}

	public Integer getNumber() {
		return number;
	}

	public void setNumber(Integer number) {
		this.number = number;
	}

	public String getPriceType() {
		return priceType;
	}

	public void setPriceType(String priceType) {
		this.priceType = priceType;
	}

	public String getLeagueId() {
		return leagueId;
	}

	public void setLeagueId(String leagueId) {
		this.leagueId = leagueId;
	}

	public Integer getAppType() {
		return appType;
	}

	public void setAppType(Integer appType) {
		this.appType = appType;
	}

	public int getPayType() {
		return payType;
	}

	public void setPayType(int payType) {
		this.payType = payType;
	}
}
